Ask Your Question
2

Is it safely to remove emacs-filesystem

asked 2019-01-05 08:44:03 -0600

rkoba gravatar image

Hello,
I try to remove Emacs from my laptop.
# dnf list --installed \*emacs\* showed me next packeges:

Installed Packages
emacs.x86_64 1:26.1-3.fc28 @updates
emacs-common.x86_64 1:26.1-3.fc28 @updates
emacs-filesystem.noarch 1:26.1-3.fc28 @updates
xemacs-filesystem.noarch 21.5.34-29.20171230hg92757c2b8239.fc28 @fedora


When I tried to remove emacs-filesystem package, dnf showed me lots of packages to be removed with summary:

Transaction Summary  
Remove 412 Packages
Freed space: 1.6 G

So the question: what is emacs-filesystem used for? Is it used separately by Fedora or it's part of Emacs? Is it safely to remove it?

I'm using Fedora 28

Thank you.

edit retag flag offensive close merge delete

Comments

1

This package takes almost no space, so no harm leaving it in place.

rpm -ql emacs-filesystem
/usr/share/emacs
/usr/share/emacs/site-lisp
/usr/share/emacs/site-lisp/site-start.d
villykruse gravatar imagevillykruse ( 2019-01-06 01:15:32 -0600 )edit

1 Answer

Sort by » oldest newest most voted
1

answered 2019-01-05 11:03:21 -0600

updated 2019-01-05 11:14:01 -0600

You should not erase everything like that. There seems to be a problem that causes other programs that support the program to be erased. Therefore, it should be used with caution when deleting certain programs. The problem of being erased in large quantities can cause serious system damage.

 [root@cugar simmon]# rpm -qa|grep emacs
 emacs-filesystem-26.1-6.fc29.noarch
 [root@cugar simmon]# rpm -e emacs-filesystem-26.1-6.fc29.noarch
 오류: Failed dependencies:
    emacs-filesystem is needed by (installed) desktop-file-utils-0.23-9.fc29.x86_64
    emacs-filesystem >= 26.1 is needed by (installed) libidn-1.35-3.fc29.x86_64
    emacs-filesystem is needed by (installed) autoconf-2.69-28.fc29.noarch
edit flag offensive delete link more

Comments

The number of packages (and their size) was the main reason to write the question... I just wasn't be able to check dependencies correctly.

Thank you!

rkoba gravatar imagerkoba ( 2019-01-13 01:24:51 -0600 )edit

I have had such an experience. Such dependency issues are likely to be resolved in the future. Have a good day.

simmon gravatar imagesimmon ( 2019-01-13 05:01:48 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-01-05 07:56:22 -0600

Seen: 46 times

Last updated: Jan 05